summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-lisp')
-rw-r--r--dev-lisp/abcl/abcl-1.9.2-r1.ebuild31
-rw-r--r--dev-lisp/c2ffi/Manifest2
-rw-r--r--dev-lisp/c2ffi/c2ffi-17.0.0.20240314.ebuild (renamed from dev-lisp/c2ffi/c2ffi-16.0.0.20231016.ebuild)6
-rw-r--r--dev-lisp/cl-ppcre-unicode/Manifest2
-rw-r--r--dev-lisp/cl-ppcre-unicode/cl-ppcre-unicode-2.1.0-r1.ebuild (renamed from dev-lisp/cl-ppcre-unicode/cl-ppcre-unicode-2.0.11.ebuild)17
-rw-r--r--dev-lisp/cl-ppcre-unicode/cl-ppcre-unicode-2.1.2.ebuild (renamed from dev-lisp/cl-ppcre-unicode/cl-ppcre-unicode-2.1.0.ebuild)19
-rw-r--r--dev-lisp/cl-ppcre/Manifest2
-rw-r--r--dev-lisp/cl-ppcre/cl-ppcre-2.1.0-r1.ebuild (renamed from dev-lisp/cl-ppcre/cl-ppcre-2.1.0.ebuild)16
-rw-r--r--dev-lisp/cl-ppcre/cl-ppcre-2.1.2.ebuild (renamed from dev-lisp/cl-ppcre/cl-ppcre-2.0.11.ebuild)18
-rw-r--r--dev-lisp/cl-unicode/cl-unicode-0.1.5-r1.ebuild (renamed from dev-lisp/cl-unicode/cl-unicode-0.1.5.ebuild)14
-rw-r--r--dev-lisp/clisp/clisp-2.49.92-r1.ebuild7
-rw-r--r--dev-lisp/clisp/metadata.xml1
-rw-r--r--dev-lisp/clx/clx-0.7.5-r1.ebuild (renamed from dev-lisp/clx/clx-0.7.5.ebuild)9
-rw-r--r--dev-lisp/cmucl/Manifest4
-rw-r--r--dev-lisp/cmucl/cmucl-21e.ebuild (renamed from dev-lisp/cmucl/cmucl-21c.ebuild)46
-rw-r--r--dev-lisp/cmucl/files/cmucl-21c-build.patch22
-rw-r--r--dev-lisp/cmucl/files/cmucl-21e-version.patch9
-rw-r--r--dev-lisp/cmucl/metadata.xml2
-rw-r--r--dev-lisp/ecl/Manifest1
-rw-r--r--dev-lisp/ecl/ecl-21.2.1-r5.ebuild6
-rw-r--r--dev-lisp/ecl/ecl-23.9.9-r1.ebuild4
-rw-r--r--dev-lisp/ecl/ecl-24.5.10.ebuild89
-rw-r--r--dev-lisp/ecl/metadata.xml1
-rw-r--r--dev-lisp/flexi-streams/Manifest2
-rw-r--r--dev-lisp/flexi-streams/flexi-streams-1.0.16.ebuild25
-rw-r--r--dev-lisp/flexi-streams/flexi-streams-1.0.17.ebuild25
-rw-r--r--dev-lisp/flexi-streams/flexi-streams-1.0.19.ebuild4
-rw-r--r--dev-lisp/gcl/files/gcl-2.6.15-riscv.patch67
-rw-r--r--dev-lisp/gcl/gcl-2.6.13_pre99.ebuild1
-rw-r--r--dev-lisp/gcl/gcl-2.6.14.ebuild1
-rw-r--r--dev-lisp/gcl/gcl-2.6.15_pre3.ebuild9
-rw-r--r--dev-lisp/roswell/Manifest4
-rw-r--r--dev-lisp/roswell/files/roswell-21.10.14.111.patch27
-rw-r--r--dev-lisp/roswell/roswell-20.05.14.106.ebuild13
-rw-r--r--dev-lisp/roswell/roswell-21.10.14.111.ebuild13
-rw-r--r--dev-lisp/roswell/roswell-22.12.14.113.ebuild34
-rw-r--r--dev-lisp/roswell/roswell-23.10.14.114.ebuild36
-rw-r--r--dev-lisp/sbcl/Manifest10
-rw-r--r--dev-lisp/sbcl/files/build-id-2.3.6.patch12
-rw-r--r--dev-lisp/sbcl/files/build-id-2.4.3.patch12
-rw-r--r--dev-lisp/sbcl/sbcl-2.3.5.ebuild31
-rw-r--r--dev-lisp/sbcl/sbcl-2.4.3.ebuild276
-rw-r--r--dev-lisp/sbcl/sbcl-2.4.5.ebuild (renamed from dev-lisp/sbcl/sbcl-2.4.0.ebuild)35
-rw-r--r--dev-lisp/sbcl/sbcl-2.4.6.ebuild (renamed from dev-lisp/sbcl/sbcl-2.4.1.ebuild)35
-rw-r--r--dev-lisp/trivial-gray-streams/trivial-gray-streams-20170830-r1.ebuild14
-rw-r--r--dev-lisp/trivial-gray-streams/trivial-gray-streams-20170830.ebuild17
-rw-r--r--dev-lisp/trivial-gray-streams/trivial-gray-streams-99999999.ebuild16
47 files changed, 785 insertions, 262 deletions
diff --git a/dev-lisp/abcl/abcl-1.9.2-r1.ebuild b/dev-lisp/abcl/abcl-1.9.2-r1.ebuild
new file mode 100644
index 000000000000..4915ed2e0d82
--- /dev/null
+++ b/dev-lisp/abcl/abcl-1.9.2-r1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit java-pkg-2
+
+DESCRIPTION="Armed Bear Common Lisp is a Common Lisp implementation for the JVM"
+HOMEPAGE="https://abcl.org"
+SRC_URI="https://abcl.org/releases/${PV}/abcl-src-${PV}.tar.gz"
+S="${WORKDIR}/abcl-src-${PV}"
+
+LICENSE="GPL-2-with-classpath-exception"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND=">=dev-java/ant-1.10.14-r3:0"
+DEPEND=">=virtual/jdk-1.8:*"
+RDEPEND=">=virtual/jre-1.8:*"
+
+src_compile() {
+ eant abcl.compile
+ eant abcl.jar
+}
+
+src_install() {
+ java-pkg_dojar dist/abcl.jar dist/abcl-contrib.jar
+ java-pkg_dolauncher ${PN} --java_args "-server -Xrs" --main org.armedbear.lisp.Main
+
+ einstalldocs
+}
diff --git a/dev-lisp/c2ffi/Manifest b/dev-lisp/c2ffi/Manifest
index 0ad61fe1788c..e9698afaafd0 100644
--- a/dev-lisp/c2ffi/Manifest
+++ b/dev-lisp/c2ffi/Manifest
@@ -1 +1 @@
-DIST c2ffi-16.0.0.20231016.tar.gz 44266 BLAKE2B 563f4a3d9bffa2ea3aea33de847f5bb8099cf15c85d073a65804d10b0470c47d7932b3064a8b268cd718dbb63501dfa943ecded9f5a1c7f105b3dd15042f1d29 SHA512 ea8c1358d621a0bc8770761e285fab35beab569c740144b4ce6f32db907553530b7766d7364f55dcf30e83d5c87b53dc59516fcf83296482b4c6a5e6fd8f2bc9
+DIST c2ffi-17.0.0.20240314.tar.gz 44258 BLAKE2B 522fcf2671f5ce6bc0a8bef533da806954cb6083f54ba27455903f618fea2b20eda7a2b7a8fe0f56c8d4904181c84db1031ee824301ff9004aeb1f149b48baf5 SHA512 6e5e8a5809592873edae95c117cf1e5494cc62ecae5ecee6dd4a0928b138f33e60baa2e918aaa6a779e6d89e592f651bb8914795257c6abfe51ee7a56eb70788
diff --git a/dev-lisp/c2ffi/c2ffi-16.0.0.20231016.ebuild b/dev-lisp/c2ffi/c2ffi-17.0.0.20240314.ebuild
index b698939cb9c6..f9d9ec225c5e 100644
--- a/dev-lisp/c2ffi/c2ffi-16.0.0.20231016.ebuild
+++ b/dev-lisp/c2ffi/c2ffi-17.0.0.20240314.ebuild
@@ -1,12 +1,12 @@
-# Copyright 2019-2023 Gentoo Authors
+# Copyright 2019-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-LLVM_MAX_SLOT=16
+LLVM_MAX_SLOT=17
inherit cmake llvm
-MY_COMMIT="040e6c0af132e9b315960178d9afdd9d4daaf345"
+MY_COMMIT="164637979127b2f995930b352d06dea5e9572064"
DESCRIPTION="Clang-based FFI wrapper generator for Common Lisp"
HOMEPAGE="https://github.com/rpav/c2ffi"
diff --git a/dev-lisp/cl-ppcre-unicode/Manifest b/dev-lisp/cl-ppcre-unicode/Manifest
index 2ace7fade36c..47eafcd5ee1a 100644
--- a/dev-lisp/cl-ppcre-unicode/Manifest
+++ b/dev-lisp/cl-ppcre-unicode/Manifest
@@ -1,2 +1,2 @@
-DIST cl-ppcre-2.0.11.tar.gz 158418 BLAKE2B d65aa1a565dbe6c9d10e4dafe323ab1332929e46e00ea2e9775ad940ed5ac983520c0e423daa17bf0173420d2269b5af2fd9b52f8d3dbcb0c778e03e61ef052d SHA512 c693c568065c0571e5509599018e58951425a857cec3793312af0d22e248e32233f924eafc8ba67fbedad38cb3f4efa11343b785b073eaac53c31871422488b1
DIST cl-ppcre-2.1.0.tar.gz 159051 BLAKE2B d1b9dd93c3f4c4c3a23a7c01f28cc4a8cc8543bfa3280f60b53d61dadb377f9e45c0f79592323bb7dcaf06721d899159f958f5b7d391370eeb5c6ede81a7a0cd SHA512 c9c95c58628fd5ecebf6e24e0c26913719360c325e90e78c256d1306eb8c2cbe85a2a5f617fdb6c2a7091bd80f4021ad0d294371b2696ad8e5873eca13aab866
+DIST cl-ppcre-2.1.2.tar.gz 159376 BLAKE2B 73ca66402066401e52bc685bf2cd1a66a15b7688e3415ffa1eac2de28bbc577808752122bcb56967c061a83a547046bd3c2667fbaa5dc37d135b6cf67f29e10b SHA512 bfcea40b251a21861dae4883f6d5b277626ae2bed86fb895173e011bdf35a289eee949a3a87b3e83ed123ae22f2a19268038e624b378fd98d28855dda9e11f78
diff --git a/dev-lisp/cl-ppcre-unicode/cl-ppcre-unicode-2.0.11.ebuild b/dev-lisp/cl-ppcre-unicode/cl-ppcre-unicode-2.1.0-r1.ebuild
index 0a98f781406a..5486feaaf190 100644
--- a/dev-lisp/cl-ppcre-unicode/cl-ppcre-unicode-2.0.11.ebuild
+++ b/dev-lisp/cl-ppcre-unicode/cl-ppcre-unicode-2.1.0-r1.ebuild
@@ -1,24 +1,23 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=8
inherit common-lisp-3
DESCRIPTION="CL-PPCRE is a portable regular expression library for Common Lisp"
-HOMEPAGE="http://weitz.de/cl-ppcre/
- http://www.cliki.net/cl-ppcre"
+HOMEPAGE="https://edicl.github.io/cl-ppcre/
+ https://www.cliki.net/cl-ppcre"
+
SRC_URI="https://github.com/edicl/cl-ppcre/archive/v${PV}.tar.gz -> cl-ppcre-${PV}.tar.gz"
+S="${WORKDIR}/cl-ppcre-${PV}"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="amd64 ~ppc ~sparc x86"
-IUSE=""
-RDEPEND="=dev-lisp/cl-ppcre-${PV}
- dev-lisp/cl-unicode"
-
-S="${WORKDIR}/cl-ppcre-${PV}"
+RDEPEND="~dev-lisp/cl-ppcre-${PV}
+ dev-lisp/cl-unicode"
src_install() {
common-lisp-install-sources ${PN}/ test/unicode*
diff --git a/dev-lisp/cl-ppcre-unicode/cl-ppcre-unicode-2.1.0.ebuild b/dev-lisp/cl-ppcre-unicode/cl-ppcre-unicode-2.1.2.ebuild
index 140ebc0154d6..70a4212613df 100644
--- a/dev-lisp/cl-ppcre-unicode/cl-ppcre-unicode-2.1.0.ebuild
+++ b/dev-lisp/cl-ppcre-unicode/cl-ppcre-unicode-2.1.2.ebuild
@@ -1,24 +1,23 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=8
inherit common-lisp-3
DESCRIPTION="CL-PPCRE is a portable regular expression library for Common Lisp"
-HOMEPAGE="http://weitz.de/cl-ppcre/
- http://www.cliki.net/cl-ppcre"
+HOMEPAGE="https://edicl.github.io/cl-ppcre/
+ https://www.cliki.net/cl-ppcre"
+
SRC_URI="https://github.com/edicl/cl-ppcre/archive/v${PV}.tar.gz -> cl-ppcre-${PV}.tar.gz"
+S="${WORKDIR}/cl-ppcre-${PV}"
LICENSE="BSD-2"
SLOT="0"
-KEYWORDS="~amd64 ~ppc ~sparc ~x86"
-IUSE=""
+KEYWORDS="~amd64 ~ppc ~riscv ~sparc ~x86"
-RDEPEND="=dev-lisp/cl-ppcre-${PV}
- dev-lisp/cl-unicode"
-
-S="${WORKDIR}/cl-ppcre-${PV}"
+RDEPEND="~dev-lisp/cl-ppcre-${PV}
+ dev-lisp/cl-unicode"
src_install() {
common-lisp-install-sources ${PN}/ test/unicode*
diff --git a/dev-lisp/cl-ppcre/Manifest b/dev-lisp/cl-ppcre/Manifest
index 2ace7fade36c..47eafcd5ee1a 100644
--- a/dev-lisp/cl-ppcre/Manifest
+++ b/dev-lisp/cl-ppcre/Manifest
@@ -1,2 +1,2 @@
-DIST cl-ppcre-2.0.11.tar.gz 158418 BLAKE2B d65aa1a565dbe6c9d10e4dafe323ab1332929e46e00ea2e9775ad940ed5ac983520c0e423daa17bf0173420d2269b5af2fd9b52f8d3dbcb0c778e03e61ef052d SHA512 c693c568065c0571e5509599018e58951425a857cec3793312af0d22e248e32233f924eafc8ba67fbedad38cb3f4efa11343b785b073eaac53c31871422488b1
DIST cl-ppcre-2.1.0.tar.gz 159051 BLAKE2B d1b9dd93c3f4c4c3a23a7c01f28cc4a8cc8543bfa3280f60b53d61dadb377f9e45c0f79592323bb7dcaf06721d899159f958f5b7d391370eeb5c6ede81a7a0cd SHA512 c9c95c58628fd5ecebf6e24e0c26913719360c325e90e78c256d1306eb8c2cbe85a2a5f617fdb6c2a7091bd80f4021ad0d294371b2696ad8e5873eca13aab866
+DIST cl-ppcre-2.1.2.tar.gz 159376 BLAKE2B 73ca66402066401e52bc685bf2cd1a66a15b7688e3415ffa1eac2de28bbc577808752122bcb56967c061a83a547046bd3c2667fbaa5dc37d135b6cf67f29e10b SHA512 bfcea40b251a21861dae4883f6d5b277626ae2bed86fb895173e011bdf35a289eee949a3a87b3e83ed123ae22f2a19268038e624b378fd98d28855dda9e11f78
diff --git a/dev-lisp/cl-ppcre/cl-ppcre-2.1.0.ebuild b/dev-lisp/cl-ppcre/cl-ppcre-2.1.0-r1.ebuild
index 668039a6537c..1586dc19896a 100644
--- a/dev-lisp/cl-ppcre/cl-ppcre-2.1.0.ebuild
+++ b/dev-lisp/cl-ppcre/cl-ppcre-2.1.0-r1.ebuild
@@ -1,26 +1,26 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=8
inherit common-lisp-3
DESCRIPTION="CL-PPCRE is a portable regular expression library for Common Lisp"
-HOMEPAGE="http://weitz.de/cl-ppcre/
- http://www.cliki.net/cl-ppcre"
+HOMEPAGE="https://edicl.github.io/cl-ppcre/
+ https://www.cliki.net/cl-ppcre"
SRC_URI="https://github.com/edicl/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
-KEYWORDS="~amd64 ~ppc ~sparc ~x86"
-IUSE=""
+KEYWORDS="amd64 ~ppc ~sparc x86"
RDEPEND="dev-lisp/flexi-streams"
PDEPEND="dev-lisp/cl-ppcre-unicode"
src_unpack() {
- unpack ${A} && cd "${S}"
- rm -rf cl-ppcre-unicode test/unicode*
+ unpack ${A}
+ cd "${S}" || die
+ rm -rf cl-ppcre-unicode test/unicode* || die
}
src_install() {
diff --git a/dev-lisp/cl-ppcre/cl-ppcre-2.0.11.ebuild b/dev-lisp/cl-ppcre/cl-ppcre-2.1.2.ebuild
index 8a19e08dbe89..de70e24a64f3 100644
--- a/dev-lisp/cl-ppcre/cl-ppcre-2.0.11.ebuild
+++ b/dev-lisp/cl-ppcre/cl-ppcre-2.1.2.ebuild
@@ -1,30 +1,30 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=8
inherit common-lisp-3
DESCRIPTION="CL-PPCRE is a portable regular expression library for Common Lisp"
-HOMEPAGE="http://weitz.de/cl-ppcre/
- http://www.cliki.net/cl-ppcre"
+HOMEPAGE="https://edicl.github.io/cl-ppcre/
+ https://www.cliki.net/cl-ppcre"
SRC_URI="https://github.com/edicl/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
-KEYWORDS="amd64 ~ppc ~sparc x86"
-IUSE=""
+KEYWORDS="~amd64 ~ppc ~riscv ~sparc ~x86"
RDEPEND="dev-lisp/flexi-streams"
PDEPEND="dev-lisp/cl-ppcre-unicode"
src_unpack() {
- unpack ${A} && cd "${S}"
- rm -rf cl-ppcre-unicode test/unicode*
+ unpack ${A}
+ cd "${S}" || die
+ rm -rf cl-ppcre-unicode test/unicode* || die
}
src_install() {
common-lisp-install-sources *.lisp test/
common-lisp-install-asdf ${PN}
- dodoc CHANGELOG doc/index.html
+ dodoc CHANGELOG docs/index.html
}
diff --git a/dev-lisp/cl-unicode/cl-unicode-0.1.5.ebuild b/dev-lisp/cl-unicode/cl-unicode-0.1.5-r1.ebuild
index d088c26abc3a..61fc2c95afa6 100644
--- a/dev-lisp/cl-unicode/cl-unicode-0.1.5.ebuild
+++ b/dev-lisp/cl-unicode/cl-unicode-0.1.5-r1.ebuild
@@ -1,23 +1,22 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=8
inherit common-lisp-3 xdg-utils
MY_P="v${PV}"
DESCRIPTION="Provides Common Lisp implementations with knowledge about Unicode characters"
-HOMEPAGE="http://weitz.de/cl-unicode/"
+HOMEPAGE="https://edicl.github.io/cl-unicode/"
SRC_URI="https://github.com/edicl/${PN}/archive/${MY_P}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
-KEYWORDS="amd64 ~ppc ~sparc x86"
-IUSE=""
+KEYWORDS="amd64 ~ppc ~riscv ~sparc x86"
DEPEND="virtual/commonlisp
- dev-lisp/flexi-streams"
+ dev-lisp/flexi-streams"
RDEPEND="dev-lisp/cl-ppcre"
src_configure() {
@@ -37,6 +36,5 @@ src_install() {
common-lisp-install-sources *.lisp test/
common-lisp-install-sources -t all build/
common-lisp-install-asdf
- dodoc CHANGELOG
- dodoc doc/index.html
+ dodoc CHANGELOG doc/index.html
}
diff --git a/dev-lisp/clisp/clisp-2.49.92-r1.ebuild b/dev-lisp/clisp/clisp-2.49.92-r1.ebuild
index dc22d9b9e28e..1b4d379847da 100644
--- a/dev-lisp/clisp/clisp-2.49.92-r1.ebuild
+++ b/dev-lisp/clisp/clisp-2.49.92-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -65,6 +65,11 @@ src_prepare() {
}
src_configure() {
+ # -Werror=lto-type-mismatch
+ # https://bugs.gentoo.org/856103
+ # https://gitlab.com/gnu-clisp/clisp/-/issues/49
+ filter-lto
+
# We need this to build on alpha/ia64
if use alpha || use ia64; then
replace-flags -O? -O1
diff --git a/dev-lisp/clisp/metadata.xml b/dev-lisp/clisp/metadata.xml
index d50dfbb3a6b7..44471e4a1c02 100644
--- a/dev-lisp/clisp/metadata.xml
+++ b/dev-lisp/clisp/metadata.xml
@@ -24,5 +24,6 @@
</use>
<upstream>
<remote-id type="sourceforge">clisp</remote-id>
+ <remote-id type="gitlab">gnu-clisp/clisp</remote-id>
</upstream>
</pkgmetadata>
diff --git a/dev-lisp/clx/clx-0.7.5.ebuild b/dev-lisp/clx/clx-0.7.5-r1.ebuild
index 06e69d160335..a7fff37b1784 100644
--- a/dev-lisp/clx/clx-0.7.5.ebuild
+++ b/dev-lisp/clx/clx-0.7.5-r1.ebuild
@@ -1,12 +1,12 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=8
inherit common-lisp-3
DESCRIPTION="CLX is the Common Lisp interface to the X11 protocol primarily for SBCL"
-HOMEPAGE="http://www.cliki.net/CLX"
+HOMEPAGE="https://www.cliki.net/CLX"
SRC_URI="https://github.com/sharplispers/clx/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
@@ -15,8 +15,7 @@ KEYWORDS="~amd64 ~ppc ~sparc ~x86"
IUSE="doc"
DEPEND="sys-apps/texinfo
- doc? ( virtual/texi2dvi )"
-RDEPEND="!dev-lisp/cl-${PN}"
+ doc? ( virtual/texi2dvi )"
src_compile() {
cd manual || die
diff --git a/dev-lisp/cmucl/Manifest b/dev-lisp/cmucl/Manifest
index cd8cafb04080..9721af93252b 100644
--- a/dev-lisp/cmucl/Manifest
+++ b/dev-lisp/cmucl/Manifest
@@ -1,2 +1,2 @@
-DIST cmucl-21c-x86-linux.tar.bz2 11127872 BLAKE2B b9089a40b4a0738f9faccdfddb7b33256a561a07cedc3ef9b3ec7afddbbb9de493c2ffb9af4a8d6b6ce70ef857576870901a6b7a607f52bdaf8a0f53ddd2d07e SHA512 9097220aef612aa3d8367a86a86dc62d86d918190d2688f6e90d415c9f9d881f97f0829e9d310f700b014821d30bf5a15f7a05cdb9201c9deab10a7231e0bcb6
-DIST cmucl-src-21c.tar.bz2 6947775 BLAKE2B 828075c71ddf459d09076199af4a02f2294063bd9ef0beb6d4bcbb473dd0ff8cfdff7faa9416f640e125603301fa37c73a280db597bf4301c22fbe88c4cc2dbb SHA512 98ea0516b71af7c6f92b5f67f6c1545949fcd1dc95e1238a989c1c2858a75e2751e5eb765b29812ad5cc5de015333787dac2a63a9ddea9bb83cfd72fef6794f4
+DIST cmucl-21e-x86-linux.tar.bz2 11305452 BLAKE2B d7dde5afb0d6b0a42506c2a7bef09e93ddfb415eea1d41db95d63bdfc3d6f654859dabd641b4fd78c1ba4c36a6f6b5ac6318d4124a0cd21b389dd448e4bc109a SHA512 84193903a75356a28e14b4dc2f6c4dd20d6f0d424a24150c2f9b1094b4a91def4c85b8c5ade326487ca34a7705096c09109329f1eedba728e63e70b1dc011b5d
+DIST cmucl-src-21e.tar.bz2 7161287 BLAKE2B 1e52643917f05bbd2fa45f3cbed894506458a13047faf077388066035dfcb66440879c8cc4f79592b32dd5eb85679e3bb9fad5d9327f86e1c30e8446ffdda281 SHA512 fc2647fdd9adebe9c9a6a6398ef43203b750ff9c9437fec2b0c9b6fe2a50e430089308f0ff2362c3bc76724df9168c95293191e45489b3a5051942f63c0ed9b2
diff --git a/dev-lisp/cmucl/cmucl-21c.ebuild b/dev-lisp/cmucl/cmucl-21e.ebuild
index 13481e06b89a..6b44bb707caf 100644
--- a/dev-lisp/cmucl/cmucl-21c.ebuild
+++ b/dev-lisp/cmucl/cmucl-21e.ebuild
@@ -1,27 +1,27 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=8
inherit toolchain-funcs
MY_PV=${PV:0:3}
DESCRIPTION="CMU Common Lisp is an implementation of ANSI Common Lisp"
-HOMEPAGE="http://www.cons.org/cmucl/"
+HOMEPAGE="https://www.cons.org/cmucl/"
SRC_URI="
- http://common-lisp.net/project/cmucl/downloads/release/${MY_PV}/cmucl-src-${MY_PV}.tar.bz2
- http://common-lisp.net/project/cmucl/downloads/release/${MY_PV}/cmucl-${MY_PV}-x86-linux.tar.bz2
+ https://common-lisp.net/project/cmucl/downloads/release/${MY_PV}/cmucl-src-${MY_PV}.tar.bz2
+ https://common-lisp.net/project/cmucl/downloads/release/${MY_PV}/cmucl-${MY_PV}-x86-linux.tar.bz2
"
S="${WORKDIR}"
LICENSE="public-domain"
SLOT="0"
KEYWORDS="-* x86"
-IUSE="X doc source"
+IUSE="doc gui source"
CDEPEND=">=dev-lisp/asdf-2.33-r3:=
- x11-libs/motif:0"
+ x11-libs/motif:0"
DEPEND="${CDEPEND}
app-alternatives/bc
doc? ( virtual/latex-base )"
@@ -30,25 +30,20 @@ RDEPEND="${CDEPEND}"
TARGET=linux-4
src_prepare() {
- eapply "${FILESDIR}"/${P}-execstack-fixes.patch
- eapply "${FILESDIR}"/${P}-build.patch
+ eapply "${FILESDIR}"/${PN}-21c-execstack-fixes.patch
+ eapply "${FILESDIR}"/${P}-version.patch
eapply_user
#cp "${FILESDIR}"/os-common.h src/lisp/ || die
cp /usr/share/common-lisp/source/asdf/build/asdf.lisp src/contrib/asdf/ || die
}
src_compile() {
- local cmuopts buildimage
+ local cmuopts=$(usex gui "" -u)
+ local buildimage="bin/lisp -batch"
- if use X ; then
- cmuopts=""
- else
- cmuopts="-u"
- fi
-
- buildimage="bin/lisp -batch"
-
- env CC="$(tc-getCC)" bin/build.sh -v "-gentoo-${PR}" -C "" -o "${buildimage}" ${cmuopts} || die "Cannot build the compiler"
+ env CC="$(tc-getCC)" bin/build.sh -v "-gentoo-${PR}" -C "" \
+ -o "${buildimage}" ${cmuopts} \
+ || die "Cannot build the compiler"
# Compile up the asdf and defsystem modules
${TARGET}/lisp/lisp -noinit -nositeinit -batch << EOF || die
@@ -64,23 +59,25 @@ EOF
# Documentation
if use doc; then
- pushd src/docs/cmu-user > /dev/null || die "directory src/docs/cmu-user does not exist"
+ pushd src/docs/cmu-user > /dev/null \
+ || die "directory src/docs/cmu-user does not exist"
emake
cd ../internals || die "directory src/docs/internals does not exist"
emake
- popd > /dev/null
+ popd > /dev/null || die
fi
}
src_install() {
- bin/make-dist.sh -S -g -G root -O root -M share/man/man1 -V ${MY_PV} -A x86 -o linux ${TARGET} \
+ DOCDIR=share/doc/${PF} bin/make-dist.sh -S -g -G root -O root \
+ -M share/man/man1 -V ${MY_PV} -A x86 -o linux ${TARGET} \
|| die "Cannot build installation archive"
# Necessary otherwise tar will fail
dodir /usr
- pushd "${D}"/usr > /dev/null
+ pushd "${D}"/usr > /dev/null || die
tar xzpf "${WORKDIR}"/cmucl-${MY_PV}-x86-linux.tar.gz \
|| die "Cannot install main system"
- if use X ; then
+ if use gui ; then
tar xzpf "${WORKDIR}"/cmucl-${MY_PV}-x86-linux.extra.tar.gz \
|| die "Cannot install extra files"
fi
@@ -91,7 +88,7 @@ src_install() {
tar --strip-components 1 -xzpf "${WORKDIR}"/cmucl-src-${MY_PV}.tar.gz \
|| die "Cannot install sources"
fi
- popd > /dev/null
+ popd > /dev/null || die
# Install site config file
sed "s,@PF@,${PF},g ; s,@VERSION@,$(date +%F),g" \
@@ -102,7 +99,6 @@ src_install() {
doins "${FILESDIR}"/cmuclrc
# Documentation
- dodoc doc/cmucl/README
if use doc; then
dodoc src/docs/cmu-user/cmu-user.pdf src/docs/internals/design.pdf
docompress -x /usr/share/doc/${PF}/{cmu-user,design}.pdf
diff --git a/dev-lisp/cmucl/files/cmucl-21c-build.patch b/dev-lisp/cmucl/files/cmucl-21c-build.patch
deleted file mode 100644
index 4d7e4061c924..000000000000
--- a/dev-lisp/cmucl/files/cmucl-21c-build.patch
+++ /dev/null
@@ -1,22 +0,0 @@
-diff -r -U2 21a.orig/bin/build.sh 21a/bin/build.sh
---- 21a.orig/bin/build.sh 2015-05-19 07:42:40.000000000 +0600
-+++ 21a/bin/build.sh 2016-04-03 20:54:08.597016537 +0600
-@@ -40,5 +40,5 @@
- ENABLE4="yes"
-
--version=21b
-+version=21c
- SRCDIR=src
- BINDIR=bin
-@@ -145,10 +145,9 @@
- $TOOLDIR/load-world.sh $TARGET "$VERSION" || { echo "Failed: $TOOLDIR/load-world.sh"; exit 1; }
-
-- $TARGET/lisp/lisp -batch -noinit -nositeinit $FPU_MODE < /dev/null || { echo "Failed: $TARGET/lisp/lisp -batch -noinit $FPU_MODE"; exit 1; }
-+ $TARGET/lisp/lisp -batch -noinit -nositeinit < /dev/null || { echo "Failed: $TARGET/lisp/lisp -batch -noinit"; exit 1; }
- return 0;
- fi
- }
-
--FPU_MODE=
- BUILDWORLD="$TOOLDIR/build-world.sh"
- BUILD_POT="yes"
diff --git a/dev-lisp/cmucl/files/cmucl-21e-version.patch b/dev-lisp/cmucl/files/cmucl-21e-version.patch
new file mode 100644
index 000000000000..204e1a396593
--- /dev/null
+++ b/dev-lisp/cmucl/files/cmucl-21e-version.patch
@@ -0,0 +1,9 @@
+--- cmucl/bin/build.sh
++++ cmucl/bin/build.sh
+@@ -40,5 +40,5 @@
+ ENABLE4="yes"
+
+-version=21d
++version=21e
+ SRCDIR=src
+ BINDIR=bin
diff --git a/dev-lisp/cmucl/metadata.xml b/dev-lisp/cmucl/metadata.xml
index bf312af3c421..5f45b9fa5e7b 100644
--- a/dev-lisp/cmucl/metadata.xml
+++ b/dev-lisp/cmucl/metadata.xml
@@ -31,7 +31,7 @@ ANSI Common Lisp standard. Here is a summary of its main features:
</longdescription>
<use>
<flag name="doc">Installs package documentation</flag>
+<flag name="gui">Build CLX, CLM, or Hemlock</flag>
<flag name="source">Include source code for CMUCL in installation</flag>
-<flag name="X">Build CLX, CLM, or Hemlock</flag>
</use>
</pkgmetadata>
diff --git a/dev-lisp/ecl/Manifest b/dev-lisp/ecl/Manifest
index 6cb34002d034..f020518f8618 100644
--- a/dev-lisp/ecl/Manifest
+++ b/dev-lisp/ecl/Manifest
@@ -1,2 +1,3 @@
DIST ecl-21.2.1.tgz 7875088 BLAKE2B b8c05fab8ce5892ad9df830e3ad230e1c646bd30bc35243703ace18f1bf963057b132d980c74b364ff30a5b776a8f161e71bfd69d7908970811ab3dddbab1aac SHA512 0849bebe1a8073ea8027cfb172c1d7781d43adb6a8b80585bd08d5674b80422d1648b6fbf718cc17a51c5de6c696514523b4d13a82e8113bf9365c95d3c28648
DIST ecl-23.9.9.tgz 8129105 BLAKE2B 883454e1b5459b348a2184727dc9d512988f3b8218370cbe01045e5bc401a6785cb736a16592d20ad9fe19e6518056ece5b809323fa7697304f39d31d60021fc SHA512 c8f1dcf2bffad7358c3d4e5bb0924cbb69afaf79871e6444bd780a594e1e96e6c547346b7c9c5184a6b12ce920a6a959334cf2a85c3f3ea0e0c8f22f72fb84df
+DIST ecl-24.5.10.tgz 8130112 BLAKE2B 76ee9b4dca68543151e8f8474651e3f2b540017b62ab2ba6e00d64002362045ccf0aad16d0f82d7fd9a7511423aa90f9ddce912bf4b314c7905f6e404b850d1a SHA512 46e6da0f319573e412e54573b3c029179ba9debf48f73828ad5dd0a99c4a0b4ef21f99b411fdab3dc5429242c917553eb3e9794eeac7ec44667cd26fc0dd927e
diff --git a/dev-lisp/ecl/ecl-21.2.1-r5.ebuild b/dev-lisp/ecl/ecl-21.2.1-r5.ebuild
index a12f59e6b270..3d735305d8a2 100644
--- a/dev-lisp/ecl/ecl-21.2.1-r5.ebuild
+++ b/dev-lisp/ecl/ecl-21.2.1-r5.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-inherit readme.gentoo-r1
+inherit flag-o-matic readme.gentoo-r1
DESCRIPTION="ECL is an embeddable Common Lisp implementation"
HOMEPAGE="https://common-lisp.net/project/ecl/"
@@ -40,6 +40,8 @@ src_prepare() {
}
src_configure() {
+ filter-lto # bug #931081
+
econf \
--enable-gmp=system \
--enable-boehm=system \
diff --git a/dev-lisp/ecl/ecl-23.9.9-r1.ebuild b/dev-lisp/ecl/ecl-23.9.9-r1.ebuild
index 542b691a6db0..ba0b9418f3ee 100644
--- a/dev-lisp/ecl/ecl-23.9.9-r1.ebuild
+++ b/dev-lisp/ecl/ecl-23.9.9-r1.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-inherit readme.gentoo-r1
+inherit flag-o-matic readme.gentoo-r1
DESCRIPTION="ECL is an embeddable Common Lisp implementation"
HOMEPAGE="https://common-lisp.net/project/ecl/"
@@ -39,6 +39,8 @@ src_prepare() {
}
src_configure() {
+ filter-lto # bug #931081
+
econf \
--enable-gmp=system \
--enable-boehm=system \
diff --git a/dev-lisp/ecl/ecl-24.5.10.ebuild b/dev-lisp/ecl/ecl-24.5.10.ebuild
new file mode 100644
index 000000000000..c289fe3b035d
--- /dev/null
+++ b/dev-lisp/ecl/ecl-24.5.10.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic readme.gentoo-r1
+
+DESCRIPTION="ECL is an embeddable Common Lisp implementation"
+HOMEPAGE="https://common-lisp.net/project/ecl/"
+SRC_URI="https://common-lisp.net/project/ecl/static/files/release/${P}.tgz"
+
+LICENSE="BSD-2 LGPL-2.1+"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux"
+IUSE="cxx debug emacs gengc precisegc cpu_flags_x86_sse +threads +unicode X"
+# test phase only works if ecl already installed #516876
+RESTRICT="test"
+
+RDEPEND="dev-libs/gmp:0=
+ dev-libs/libffi:=
+ dev-libs/libatomic_ops
+ >=dev-libs/boehm-gc-7.1[threads?]
+ >=dev-lisp/asdf-2.33-r3:="
+DEPEND="${RDEPEND}
+ app-text/texi2html
+ emacs? ( >=app-editors/emacs-23.1:* >=app-eselect/eselect-emacs-1.12 )"
+
+DOCS=( README.md CHANGELOG )
+
+PATCHES=(
+ "${FILESDIR}/${PN}-16.1.3-headers-gentoo.patch"
+ "${FILESDIR}/${PN}-16.1.3-build.patch"
+ "${FILESDIR}/${PN}-21.2.1-donotcompressinfo.patch"
+)
+
+src_prepare() {
+ default
+ cp "${EPREFIX}"/usr/share/common-lisp/source/asdf/build/asdf.lisp contrib/asdf/ || die
+}
+
+src_configure() {
+ filter-lto # bug #931081
+
+ econf \
+ --enable-gmp=system \
+ --enable-boehm=system \
+ --with-dffi \
+ --enable-libatomic=system \
+ --with-defsystem \
+ $(use_with cxx) \
+ $(use_enable gengc) \
+ $(use_enable precisegc) \
+ $(use_with debug debug-cflags) \
+ $(use_with cpu_flags_x86_sse sse) \
+ $(use_enable threads) \
+ $(use_enable unicode) \
+ $(use_with X x)
+}
+
+src_compile() {
+ if use emacs; then
+ local ETAGS=$(eselect --brief etags list | sed -ne '/emacs/{p;q}')
+ [[ -n ${ETAGS} ]] || die "No etags implementation found"
+ pushd build > /dev/null || die
+ emake ETAGS=${ETAGS} TAGS
+ popd > /dev/null || die
+ else
+ touch build/TAGS
+ fi
+
+ ## for /proc/self/clear_refs (see #867052)
+ addpredict /proc
+
+ emake
+}
+
+src_install() {
+ default
+
+ readme.gentoo_create_doc
+ pushd build/doc > /dev/null || die
+ newman ecl.man ecl.1
+ newman ecl-config.man ecl-config.1
+ popd > /dev/null || die
+}
+
+pkg_postinst() {
+ readme.gentoo_print_elog
+}
diff --git a/dev-lisp/ecl/metadata.xml b/dev-lisp/ecl/metadata.xml
index e3597447d67b..94495eddf267 100644
--- a/dev-lisp/ecl/metadata.xml
+++ b/dev-lisp/ecl/metadata.xml
@@ -14,6 +14,7 @@
<use>
<flag name="gengc">Use generational garbage collection (experimental)</flag>
<flag name="precisegc">Use type information during garbage collection (experimental)</flag>
+ <flag name="unicode">Make the produced lisp support unicode</flag>
</use>
<upstream>
<remote-id type="gitlab">embeddable-common-lisp/ecl</remote-id>
diff --git a/dev-lisp/flexi-streams/Manifest b/dev-lisp/flexi-streams/Manifest
index 2c10e3f67e50..7db7cf6b772c 100644
--- a/dev-lisp/flexi-streams/Manifest
+++ b/dev-lisp/flexi-streams/Manifest
@@ -1,3 +1 @@
-DIST flexi-streams-1.0.16.tar.gz 135698 BLAKE2B 9d6d5b064f10d27ce60d5a8a6792b7c36e63d393f64c98148bfd9addd36483e1e4d9e2b699c0ae151c55d88e01bd86fea3197e082b001face2c44206229c3e21 SHA512 66b7c5231616c7a6095a52d6c679717795c9308e33487536a5e1b7f0d25f26aacd2579a76c351f8e16a967a0611456cbc97b3824f4d9cf4875b8e48b0c4f7c78
-DIST flexi-streams-1.0.17.tar.gz 135883 BLAKE2B 96670bffc8b53196d2138bff6bdcaaae74d3a9318bb637cb52914de0905be86d3d5ce40ed3f5f87deec75cbad609d339fc0656f8542ee05edae5c9c342430a90 SHA512 58a19214f74e00948dd5c15453cb68a65ad600a78fd7b637018914446a3953f68efa5e229b3d27e93464d8f273e82aa71d0fafe9b2ace77e40d23c5aea756d49
DIST flexi-streams-1.0.19.tar.gz 393330 BLAKE2B 755f835ea7fe7edf0fd4ff317463a7ed86289aad428b4bbf461808900a9656711279de362a48c32d5ea8cb9933743b92c28729ad866950200d5d65bd7fab83c1 SHA512 03288868f86ce8c3c4ed63fb5f5f9d809bc0772834ef603793c861d09ad7ffb900c14021f1f1621111e7bd4ee3f0b0653985449391ee250d0f43385abbfdfdfa
diff --git a/dev-lisp/flexi-streams/flexi-streams-1.0.16.ebuild b/dev-lisp/flexi-streams/flexi-streams-1.0.16.ebuild
deleted file mode 100644
index f9d5b59764d1..000000000000
--- a/dev-lisp/flexi-streams/flexi-streams-1.0.16.ebuild
+++ /dev/null
@@ -1,25 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit common-lisp-3
-
-DESCRIPTION="Flexible bivalent streams for Common Lisp"
-HOMEPAGE="http://weitz.de/flexi-streams/
- http://www.cliki.net/flexi-streams/"
-SRC_URI="https://github.com/edicl/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="BSD-2"
-SLOT="0"
-KEYWORDS="amd64 ~ppc ~sparc x86"
-IUSE=""
-
-RDEPEND="!dev-lisp/cl-${PN}
- >=dev-lisp/trivial-gray-streams-20060925"
-
-src_install() {
- common-lisp-install-sources *.lisp
- common-lisp-install-asdf
- dodoc doc/index.html
-}
diff --git a/dev-lisp/flexi-streams/flexi-streams-1.0.17.ebuild b/dev-lisp/flexi-streams/flexi-streams-1.0.17.ebuild
deleted file mode 100644
index 4af4c8bf3e96..000000000000
--- a/dev-lisp/flexi-streams/flexi-streams-1.0.17.ebuild
+++ /dev/null
@@ -1,25 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit common-lisp-3
-
-DESCRIPTION="Flexible bivalent streams for Common Lisp"
-HOMEPAGE="http://weitz.de/flexi-streams/
- http://www.cliki.net/flexi-streams/"
-SRC_URI="https://github.com/edicl/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="BSD-2"
-SLOT="0"
-KEYWORDS="amd64 ~ppc ~sparc x86"
-IUSE=""
-
-RDEPEND="!dev-lisp/cl-${PN}
- >=dev-lisp/trivial-gray-streams-20060925"
-
-src_install() {
- common-lisp-install-sources *.lisp
- common-lisp-install-asdf
- dodoc docs/index.html
-}
diff --git a/dev-lisp/flexi-streams/flexi-streams-1.0.19.ebuild b/dev-lisp/flexi-streams/flexi-streams-1.0.19.ebuild
index 6bac229dee34..3b609b6664d5 100644
--- a/dev-lisp/flexi-streams/flexi-streams-1.0.19.ebuild
+++ b/dev-lisp/flexi-streams/flexi-streams-1.0.19.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -14,7 +14,7 @@ SRC_URI="https://github.com/edicl/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
-KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+KEYWORDS="amd64 ~ppc ~riscv ~sparc x86"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-lisp/gcl/files/gcl-2.6.15-riscv.patch b/dev-lisp/gcl/files/gcl-2.6.15-riscv.patch
new file mode 100644
index 000000000000..1250ac2cf1e0
--- /dev/null
+++ b/dev-lisp/gcl/files/gcl-2.6.15-riscv.patch
@@ -0,0 +1,67 @@
+From bc3324432b859477feed47e7db0e97dd33b61d1f Mon Sep 17 00:00:00 2001
+From: Camm Maguire <camm@transcendence.maguirefamily.org>
+Date: Fri, 23 Feb 2024 07:47:26 -0500
+Subject: update relocs for riscv64
+
+---
+ gcl/h/elf64_riscv64_reloc.h | 44 +++++++++++++++++++++++++++++++++++++++++++-
+ 1 file changed, 43 insertions(+), 1 deletion(-)
+
+diff --git a/gcl/h/elf64_riscv64_reloc.h b/gcl/h/elf64_riscv64_reloc.h
+index c2f8232..08e94ce 100644
+--- a/h/elf64_riscv64_reloc.h
++++ b/h/elf64_riscv64_reloc.h
+@@ -23,8 +23,50 @@
+ case R_RISCV_JAL:
+ break;
+ case R_RISCV_64:
+- store_val(where,MASK(64),(s+a));
++ store_val(where,~0L,(s+a));
+ break;
+ case R_RISCV_32:
+ store_val(where,MASK(32),(s+a));
+ break;
++ case R_RISCV_32_PCREL:
++ store_val(where,MASK(32),(s+a)-p);
++ break;
++ case R_RISCV_ADD8:
++ add_val(where,MASK(8),(s+a));
++ break;
++ case R_RISCV_ADD16:
++ add_val(where,MASK(16),(s+a));
++ break;
++ case R_RISCV_ADD32:
++ add_val(where,MASK(32),(s+a));
++ break;
++ case R_RISCV_ADD64:
++ add_val(where,~0L,(s+a));
++ break;
++ case R_RISCV_SUB6:
++ add_val(where,MASK(6),-(s+a));
++ break;
++ case R_RISCV_SUB8:
++ add_val(where,MASK(8),-(s+a));
++ break;
++ case R_RISCV_SUB16:
++ add_val(where,MASK(16),-(s+a));
++ break;
++ case R_RISCV_SUB32:
++ add_val(where,MASK(32),-(s+a));
++ break;
++ case R_RISCV_SUB64:
++ add_val(where,~0L,-(s+a));
++ break;
++ case R_RISCV_SET6:
++ store_val(where,MASK(6),(s+a));
++ break;
++ case R_RISCV_SET8:
++ store_val(where,MASK(8),(s+a));
++ break;
++ case R_RISCV_SET16:
++ store_val(where,MASK(16),(s+a));
++ break;
++ case R_RISCV_SET32:
++ store_val(where,MASK(32),(s+a));
++ break;
+--
+cgit v1.1
diff --git a/dev-lisp/gcl/gcl-2.6.13_pre99.ebuild b/dev-lisp/gcl/gcl-2.6.13_pre99.ebuild
index 1673ab7aa83c..d85492310118 100644
--- a/dev-lisp/gcl/gcl-2.6.13_pre99.ebuild
+++ b/dev-lisp/gcl/gcl-2.6.13_pre99.ebuild
@@ -32,6 +32,7 @@ PATCHES=(
)
src_configure() {
+ filter-lto # bug #931082
strip-flags
filter-flags -fstack-protector -fstack-protector-all
# breaks linking on multiple defined syms
diff --git a/dev-lisp/gcl/gcl-2.6.14.ebuild b/dev-lisp/gcl/gcl-2.6.14.ebuild
index fe5638ac7f2c..441d6dcb3be8 100644
--- a/dev-lisp/gcl/gcl-2.6.14.ebuild
+++ b/dev-lisp/gcl/gcl-2.6.14.ebuild
@@ -27,6 +27,7 @@ DEPEND="${RDEPEND}
>=dev-build/autoconf-2.52"
src_configure() {
+ filter-lto # bug #931082
strip-flags
filter-flags -fstack-protector -fstack-protector-all
# breaks linking on multiple defined syms
diff --git a/dev-lisp/gcl/gcl-2.6.15_pre3.ebuild b/dev-lisp/gcl/gcl-2.6.15_pre3.ebuild
index dd6b7e3a812d..9d2222ae4c4e 100644
--- a/dev-lisp/gcl/gcl-2.6.15_pre3.ebuild
+++ b/dev-lisp/gcl/gcl-2.6.15_pre3.ebuild
@@ -11,7 +11,7 @@ SRC_URI="http://git.savannah.gnu.org/cgit/gcl.git/snapshot/${PN}-Version_2_6_15p
LICENSE="LGPL-2+ GPL-2+"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~riscv ~x86"
IUSE="+ansi athena doc emacs +readline tk X"
RESTRICT="strip" #205803
@@ -27,10 +27,15 @@ DEPEND="${RDEPEND}
app-text/texi2html
>=dev-build/autoconf-2.52"
-PATCHES=( "${WORKDIR}"/${PF}-spelling.patch )
+PATCHES=(
+ "${WORKDIR}"/${PF}-spelling.patch
+ # bug 893938
+ "${FILESDIR}"/${PN}-2.6.15-riscv.patch
+)
S="${WORKDIR}"/${PN}-Version_2_6_15pre3/${PN}
src_configure() {
+ filter-lto # bug #931082
strip-flags
filter-flags -fstack-protector -fstack-protector-all
diff --git a/dev-lisp/roswell/Manifest b/dev-lisp/roswell/Manifest
index 8731e41fcf97..07a47ae5562f 100644
--- a/dev-lisp/roswell/Manifest
+++ b/dev-lisp/roswell/Manifest
@@ -1,2 +1,4 @@
DIST roswell-20.05.14.106.tar.gz 164302 BLAKE2B bd2387bea78a746d5cfedc27e9d636ef7bc0f5118036ae2270c49a4361268527fafe2683850a2dcaeb1bf3f14db6a24fecd98f395081fdc1b4db620838d2936f SHA512 03a923accc4d6ac9a3a3e0fd1853441bf4be0268571e8b6ffffc122170befad6b1dcda6f062a566b54229bb325efb6a5d39459ce22a89355e927e3fea1e08cee
-DIST roswell-21.10.14.111.tar.gz 172464 BLAKE2B 816f2fbbf99be21f7416456fb724faf5e290090ad2130bdd6feb03573cb059bf21bd5419cbf5928c84d2a977c123b31597df6676f65a11ded0121acc37c589aa SHA512 d6979974807385e1e7be993610b5ed6ef5297ded21727162b6bc3240d402168cfe32b6b243f535c69b91620d0af4a3b7e046080be2881610ffbe0d3babfa3b23 \ No newline at end of file
+DIST roswell-21.10.14.111.tar.gz 172464 BLAKE2B 816f2fbbf99be21f7416456fb724faf5e290090ad2130bdd6feb03573cb059bf21bd5419cbf5928c84d2a977c123b31597df6676f65a11ded0121acc37c589aa SHA512 d6979974807385e1e7be993610b5ed6ef5297ded21727162b6bc3240d402168cfe32b6b243f535c69b91620d0af4a3b7e046080be2881610ffbe0d3babfa3b23
+DIST roswell-22.12.14.113.tar.gz 170253 BLAKE2B ddb59d1778b0d0becfc8914edec850203aea979357ac8f33988053afaaa21c8302800af0b44a3e00e694b5deedf1c5d3306f47f8bce5d5f5b4aa5f8c8961e173 SHA512 f102297af67b5d5414f853fc428f39347cb09a604bff95ad50c7f5249582a053e00fa3bb59a52846e3afc8244b8de1a7ee4667847b829f7d176121c496fd038f
+DIST roswell-23.10.14.114.tar.gz 171258 BLAKE2B 107c6d7c70077236ed588c84238c2d44b693742f787c5db17923c14a30c870121eed8aadfabfce98d373b06c090aaa77f5152085ff38e699f8e571d2e913386a SHA512 9bc4962d5e132c20a896342fff28138692e79a91657aa1d8642f431eaa2f757d72d92a792b079cfb9cf55e196af453f0e420d0f9e927a1c8f0daf93d54506bf4
diff --git a/dev-lisp/roswell/files/roswell-21.10.14.111.patch b/dev-lisp/roswell/files/roswell-21.10.14.111.patch
new file mode 100644
index 000000000000..ff82a1013d41
--- /dev/null
+++ b/dev-lisp/roswell/files/roswell-21.10.14.111.patch
@@ -0,0 +1,27 @@
+--- roswell-21.10.14.111/configure.ac.ORIG 2022-04-11 14:29:44.336778578 +0000
++++ roswell-21.10.14.111/configure.ac 2022-04-11 14:31:42.549505141 +0000
+@@ -59,9 +59,11 @@
+
+ AC_CHECK_HEADERS(gnu/libc-version.h)
+
+-AC_CHECK_HEADERS(windows.h,[with_windows=true])
++#AC_CHECK_HEADERS(windows.h,[with_windows=true])
++with_windows=
+ AM_CONDITIONAL([WITH_WINDOWS], [test "$with_windows" != ""])
+-AC_CHECK_TOOL([WINDRES], [windres], [])
++#AC_CHECK_TOOL([WINDRES], [windres], [])
++WINDRES=
+ AM_CONDITIONAL([WITH_WIN_ICON], [test "$WINDRES" != ""])
+
+ AC_CHECK_MEMBERS([struct dirent.d_type],,,[#include <dirent.h>])
+--- roswell-21.10.14.111/Makefile.am.ORIG 2022-04-11 14:28:16.220579397 +0000
++++ roswell-21.10.14.111/Makefile.am 2022-04-11 14:28:56.773113318 +0000
+@@ -167,7 +167,7 @@
+
+ pack: $(PACK).tar.bz2
+
+-WINPACK = roswell_$(VERSION)_$(shell if [ $$MSYSTEM = 'MINGW64' ];then echo amd64 ;else echo i686; fi)
++#WINPACK = roswell_$(VERSION)_$(shell if [ $$MSYSTEM = 'MINGW64' ];then echo amd64 ;else echo i686; fi)
+
+ pack.zip: $(PACK).tar.bz2
+ 7z a $(WINPACK).zip roswell \ No newline at end of file
diff --git a/dev-lisp/roswell/roswell-20.05.14.106.ebuild b/dev-lisp/roswell/roswell-20.05.14.106.ebuild
index 76c9e1152f1d..e7f55bcbac23 100644
--- a/dev-lisp/roswell/roswell-20.05.14.106.ebuild
+++ b/dev-lisp/roswell/roswell-20.05.14.106.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-inherit autotools
+inherit autotools flag-o-matic
DESCRIPTION="A lisp installer and launcher for major environment"
HOMEPAGE="https://github.com/roswell/roswell"
@@ -20,3 +20,12 @@ src_prepare() {
default
eautoreconf
}
+
+src_configure() {
+ # -Werror=lto-type-mismatch
+ # https://bugs.gentoo.org/856106
+ # https://github.com/roswell/roswell/issues/584
+ filter-lto
+
+ default
+}
diff --git a/dev-lisp/roswell/roswell-21.10.14.111.ebuild b/dev-lisp/roswell/roswell-21.10.14.111.ebuild
index 8dc066c33326..de8998f15f2a 100644
--- a/dev-lisp/roswell/roswell-21.10.14.111.ebuild
+++ b/dev-lisp/roswell/roswell-21.10.14.111.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-inherit autotools
+inherit autotools flag-o-matic
DESCRIPTION="A lisp installer and launcher for major environment"
HOMEPAGE="https://github.com/roswell/roswell"
@@ -23,3 +23,12 @@ src_prepare() {
default
eautoreconf
}
+
+src_configure() {
+ # -Werror=lto-type-mismatch
+ # https://bugs.gentoo.org/856106
+ # https://github.com/roswell/roswell/issues/584
+ filter-lto
+
+ default
+}
diff --git a/dev-lisp/roswell/roswell-22.12.14.113.ebuild b/dev-lisp/roswell/roswell-22.12.14.113.ebuild
new file mode 100644
index 000000000000..de8998f15f2a
--- /dev/null
+++ b/dev-lisp/roswell/roswell-22.12.14.113.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools flag-o-matic
+
+DESCRIPTION="A lisp installer and launcher for major environment"
+HOMEPAGE="https://github.com/roswell/roswell"
+SRC_URI="https://github.com/roswell/roswell/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+
+KEYWORDS="~amd64 ~x86"
+
+# File collision with librouteros (#691754)
+RDEPEND="!net-libs/librouteros
+ net-misc/curl"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ # -Werror=lto-type-mismatch
+ # https://bugs.gentoo.org/856106
+ # https://github.com/roswell/roswell/issues/584
+ filter-lto
+
+ default
+}
diff --git a/dev-lisp/roswell/roswell-23.10.14.114.ebuild b/dev-lisp/roswell/roswell-23.10.14.114.ebuild
new file mode 100644
index 000000000000..4cc2bc188d97
--- /dev/null
+++ b/dev-lisp/roswell/roswell-23.10.14.114.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools flag-o-matic
+
+DESCRIPTION="A lisp installer and launcher for major environment"
+HOMEPAGE="https://github.com/roswell/roswell"
+SRC_URI="https://github.com/roswell/roswell/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+
+KEYWORDS="~amd64 ~x86"
+
+# File collision with librouteros (#691754)
+RDEPEND="!net-libs/librouteros
+ net-misc/curl"
+DEPEND="${RDEPEND}"
+
+# Patch from #822126
+src_prepare() {
+ PATCHES=( "${FILESDIR}/roswell-21.10.14.111.patch" )
+ default
+ eautoreconf
+}
+
+src_configure() {
+ # -Werror=lto-type-mismatch
+ # https://bugs.gentoo.org/856106
+ # https://github.com/roswell/roswell/issues/584
+ filter-lto
+
+ default
+}
diff --git a/dev-lisp/sbcl/Manifest b/dev-lisp/sbcl/Manifest
index f1ef0471debf..f0bd39e01a28 100644
--- a/dev-lisp/sbcl/Manifest
+++ b/dev-lisp/sbcl/Manifest
@@ -12,7 +12,9 @@ DIST sbcl-1.5.8-ppc64le-linux-binary.tar.bz2 10025597 BLAKE2B aac079e3585ebe9d5b
DIST sbcl-2.3.3-armhf-linux-binary.tar.bz2 9932803 BLAKE2B 77e0da4a60fd74caaef3adbf29446a50323c18433cc36418d9e670e410882137cdd482ef4b2da989190c27d1cc737dba0848ad652044832337e39243088813f3 SHA512 b9810c2fe9f34ee974cb90b3b79dbb4c77053300fd029eae216fbb2772da539f2b71ca13c868772adf618f364fc73994a3a467e0a535fe5195b7eb6b0fee3571
DIST sbcl-2.3.4-x86-64-linux-binary.tar.bz2 11783208 BLAKE2B 40e77c69a3df76749941138720e85cb8b4df4a334b19e4bf998caace63bb016efd321a51b9b3a86cf34a5ad10c7967a2b131d83b63f506f6e196ac5436d874e1 SHA512 2b7ab43f8fb10b4dd2effdd7209b4028a4a48fcc52564406acb9470ab5c6079217369da2a4f170f1ceb56ccc8cc11d129c1cb4daba85e20aa1a3345daa9e19b9
DIST sbcl-2.3.5-source.tar.bz2 7474392 BLAKE2B 0b4f678dccbb18c18d59709aa2ce9facec3ada9f32cf1d398e1686f63615ab82781da68d6b5914294adab88e18501945d57b6d630507e02a8d89351379f769f3 SHA512 89635b6ebd18a481c56bb40b69ef58f13b2e2ebdb6b1244a1eea3b0d9e85dc1659391754b7c8ba533455575e91989889fe41be05314297f8e49bf11170001004
-DIST sbcl-2.4.0-source.tar.bz2 7695124 BLAKE2B 7f282282af0f2900cfc07795c659cc5086451e281b1c2deaa87c1f3025f915115448e9b0eaf9290f050b8eee867f69606a1d5d39ae0e3a0d3ddccf8ca4bfa5fd SHA512 4917e56fbb2ba7fc942e7d8dd8dbb0c5bcc8dbb660951dac1aa9a27d7d6287e5dcab887037b4cd7ec335f8ae7318ea0f4d8e3468bd91710db99069b531858ac1
-DIST sbcl-2.4.0-x86-64-linux-binary.tar.bz2 12122206 BLAKE2B 8f0ba1bb4a3ba52f4b54cf16d347b7014d28bb635154f7f6811a30d08a19d4e1b9b448ed8fc5ae84d3aaa9edca89692cbcc5c9496e8f914cf3c9950890f164b4 SHA512 99b4760a5cc52c7807610aae7ae71810df013824a49fe956c4920d009648aa2a0c3a96c0745d00a7f09ba90b97e353999f19f98acd788b431defe6acd24edbc8
-DIST sbcl-2.4.1-source.tar.bz2 7800453 BLAKE2B 4ac07e5d3d18d9cfa5df266207d259f6b6b778b458e1e3be749ad7b145347e7aeada3623c1c423b20a15ba757dd2a2de4bd16163001aabc965ced8554f397825 SHA512 ae78f4d64063c05f82748239f661fb88792652496fced0a7bedcd00fda6b17cf9e01b866a5a11ca953746bc8b208116b73a93288ad08c9ffe578cc3266870780
-DIST sbcl-2.4.1-x86-64-linux-binary.tar.bz2 12113408 BLAKE2B 608f2455590d7118986015d48d02894b07350e418c3a893eb29bf423f6b78435ebde64e91cb9ca542cf2629ad9148f0c8576ddd3e7fb4569852ae6a374c2f38e SHA512 03fdefb9f51c8ebe32878328954d574dad31bce32e2b73c41c891188ce4f2d36039820639fea65b3280d257015cd5c7074989093ba71106e8f36d8e2df545db9
+DIST sbcl-2.4.3-source.tar.bz2 8126417 BLAKE2B 11c304c4f28e41940e2981e6f9f3401dbc0352e8572cdcd42fddaa1387e19eb35760d8e2b734544953eaa4058f8a867b3a6e492f9d13770b80de376191ce10d1 SHA512 ac61e02af16b81cb25a806b44272956dd72875ae884a04b075c983881be70b618908bad7ebddb763358401f7207c05adde932e4a845e5b8cffccc0c7b76e7557
+DIST sbcl-2.4.3-x86-64-linux-binary.tar.bz2 12003023 BLAKE2B a833630bf3c8ceac1aab64d351d7a19b73cac4906c60c6344ba2222c17831da749bc3b5d0d5fa3246c9c2a847c60e9c78567845efdd9cba50d59f2dfaef1b186 SHA512 c884d04b317b1a7ebd4c5f00b17058819d32c59e3cab437296868bc132a77e34bb6e286e7378c7d27f2b07055f879171533273978bbda84d7de9618638219088
+DIST sbcl-2.4.5-source.tar.bz2 8070024 BLAKE2B 3c6a698ea59ad7399fa60744ad3380d5b3fdcb7a5a475717003fe0533e24876d4c5e9f32332bf420dd4e5812a900c2c8f621b99091102240f8940b3bb6520694 SHA512 53ae147a5c47a1492a0733a16d1bfa499c01b9866e12edd13afbea57277fca75078aff16c810d7996a84fa720326c82e20add6f24d02016571a46bc5fcc023a9
+DIST sbcl-2.4.5-x86-64-linux-binary.tar.bz2 11470027 BLAKE2B 858f56f1ecb1c1376f25a8690b6421c3ac0612f2b8f940f3d1cceac462d7022b8874b9347fefa610e37e982d888f54dd46cd1790a3b528a8f79b4193f16ba56d SHA512 76e68a1aec2e36b8a34d6c7773d0ff71530cf8a0a170d2244164f06adda5440e070444d20a2d9233467f692d49ba6f4a42845facb22a8dc60a3235a496334dbd
+DIST sbcl-2.4.6-source.tar.bz2 8078027 BLAKE2B 2d2bcaad4cf480e3b6ba14db8ce574a88b12a81f18da85d3485cd14affd3f936e8beaf25c808a95f57c3ca36d8dd9e0a1d7c838cc0e2dc364811fdf8aca37496 SHA512 8d74b601762ddc65b2b0f1a7b18119642f38438d7b847c2078513b849327507ce48297eb58c98a9a09e4746a2f109665c3a49c11d8ea2aae4bdc6669755e28b5
+DIST sbcl-2.4.6-x86-64-linux-binary.tar.bz2 11488134 BLAKE2B a552266914e75ea536de09457f2e92d3ab8661470ce79225ba2eff4d72b74d0f27ef7d1fa96f74225904553b499d0cbda3212cbdc463294b482e0acb167b663b SHA512 d7ef12bf855b08164aa3400bca5ecd36244e369a349aed665b6d66cc46052850b73c185ed07abc988a190ce47c92e7edee85c4b8d87241615376c7ebef779032
diff --git a/dev-lisp/sbcl/files/build-id-2.3.6.patch b/dev-lisp/sbcl/files/build-id-2.3.6.patch
deleted file mode 100644
index 45d579788123..000000000000
--- a/dev-lisp/sbcl/files/build-id-2.3.6.patch
+++ /dev/null
@@ -1,12 +0,0 @@
-diff -r -U3 sbcl-2.3.6.orig/make-config.sh sbcl-2.3.6/make-config.sh
---- sbcl-2.3.6.orig/make-config.sh 2023-06-28 13:35:17.000000000 +0700
-+++ sbcl-2.3.6/make-config.sh 2023-08-06 15:49:33.994027736 +0700
-@@ -801,7 +801,7 @@
- # use /usr/xpg4/bin/id instead of /usr/bin/id
- PATH=/usr/xpg4/bin:$PATH
- fi
--echo '"'`hostname`-`id -un`-`date +%Y-%m-%d-%H-%M-%S`'"' > output/build-id.inc
-+echo "\"${PV}\"" > output/build-id.inc
-
- if [ -n "$SBCL_HOST_LOCATION" ]; then
- echo //setting up host configuration
diff --git a/dev-lisp/sbcl/files/build-id-2.4.3.patch b/dev-lisp/sbcl/files/build-id-2.4.3.patch
new file mode 100644
index 000000000000..ff8e37ce7280
--- /dev/null
+++ b/dev-lisp/sbcl/files/build-id-2.4.3.patch
@@ -0,0 +1,12 @@
+diff -r -U3 sbcl-2.4.3.orig/make-config.sh sbcl-2.4.3/make-config.sh
+--- sbcl-2.4.3.orig/make-config.sh 2024-03-30 00:02:12.000000000 +0700
++++ sbcl-2.4.3/make-config.sh 2024-04-03 22:07:49.912404814 +0700
+@@ -807,7 +807,7 @@
+ fi
+
+ if [ -n "$SOURCE_DATE_EPOCH" ]; then
+- echo '"'hostname-id-"$SOURCE_DATE_EPOCH"'"' > output/build-id.inc
++ echo "\"${PV}\"" > output/build-id.inc
+ else
+ echo '"'`hostname`-`id -un`-`date +%Y-%m-%d-%H-%M-%S`'"' > output/build-id.inc
+ fi
diff --git a/dev-lisp/sbcl/sbcl-2.3.5.ebuild b/dev-lisp/sbcl/sbcl-2.3.5.ebuild
index 94ba59bb43cd..7322fa7996a5 100644
--- a/dev-lisp/sbcl/sbcl-2.3.5.ebuild
+++ b/dev-lisp/sbcl/sbcl-2.3.5.ebuild
@@ -21,22 +21,22 @@ BV_X64_SOLARIS=1.2.7
BV_SPARC_SOLARIS=1.0.23
DESCRIPTION="Steel Bank Common Lisp (SBCL) is an implementation of ANSI Common Lisp"
-HOMEPAGE="https://www.sbcl.org/ http://sbcl.sourceforge.net/"
+HOMEPAGE="https://www.sbcl.org/ https://sbcl.sourceforge.net/"
BSD_SOCKETS_TEST_PATCH=bsd-sockets-test-2.3.1.patch
-SRC_URI="mirror://sourceforge/sbcl/${P}-source.tar.bz2
+SRC_URI="https://downloads.sourceforge.net/sbcl/${P}-source.tar.bz2
https://dev.gentoo.org/~grozin/${BSD_SOCKETS_TEST_PATCH}.gz
!system-bootstrap? (
- x86? ( mirror://sourceforge/sbcl/${PN}-${BV_X86}-x86-linux-binary.tar.bz2 )
- amd64? ( mirror://sourceforge/sbcl/${PN}-${BV_AMD64}-x86-64-linux-binary.tar.bz2 )
- ppc? ( mirror://sourceforge/sbcl/${PN}-${BV_PPC}-powerpc-linux-binary.tar.bz2 )
- ppc64? ( mirror://sourceforge/sbcl/${PN}-${BV_PPC64LE}-ppc64le-linux-binary.tar.bz2 )
- sparc? ( mirror://sourceforge/sbcl/${PN}-${BV_SPARC}-sparc-linux-binary.tar.bz2 )
- alpha? ( mirror://sourceforge/sbcl/${PN}-${BV_ALPHA}-alpha-linux-binary.tar.bz2 )
- arm? ( mirror://sourceforge/sbcl/${PN}-${BV_ARM}-armhf-linux-binary.tar.bz2 )
- arm64? ( mirror://sourceforge/sbcl/${PN}-${BV_ARM64}-arm64-linux-binary.tar.bz2 )
- x64-macos? ( mirror://sourceforge/sbcl/${PN}-${BV_X64_MACOS}-x86-64-darwin-binary.tar.bz2 )
- ppc-macos? ( mirror://sourceforge/sbcl/${PN}-${BV_PPC_MACOS}-powerpc-darwin-binary.tar.bz2 )
- x64-solaris? ( mirror://sourceforge/sbcl/${PN}-${BV_X64_SOLARIS}-x86-64-solaris-binary.tar.bz2 )
+ x86? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_X86}-x86-linux-binary.tar.bz2 )
+ amd64? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_AMD64}-x86-64-linux-binary.tar.bz2 )
+ ppc? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_PPC}-powerpc-linux-binary.tar.bz2 )
+ ppc64? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_PPC64LE}-ppc64le-linux-binary.tar.bz2 )
+ sparc? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_SPARC}-sparc-linux-binary.tar.bz2 )
+ alpha? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_ALPHA}-alpha-linux-binary.tar.bz2 )
+ arm? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_ARM}-armhf-linux-binary.tar.bz2 )
+ arm64? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_ARM64}-arm64-linux-binary.tar.bz2 )
+ x64-macos? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_X64_MACOS}-x86-64-darwin-binary.tar.bz2 )
+ ppc-macos? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_PPC_MACOS}-powerpc-darwin-binary.tar.bz2 )
+ x64-solaris? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_X64_SOLARIS}-x86-64-solaris-binary.tar.bz2 )
)"
LICENSE="MIT"
@@ -122,6 +122,11 @@ src_prepare() {
filter-flags -fomit-frame-pointer -Wl,-s
filter-ldflags -s
+ # -Werror=lto-type-mismatch
+ # https://bugs.gentoo.org/917557
+ # https://bugs.launchpad.net/gentoo/+bug/2072800
+ filter-lto
+
# original bugs #526194, #620532
# this broke no-pie default builds, c.f. bug #632670
# Pass CFLAGS down by appending our value, to let users override
diff --git a/dev-lisp/sbcl/sbcl-2.4.3.ebuild b/dev-lisp/sbcl/sbcl-2.4.3.ebuild
new file mode 100644
index 000000000000..7899f26fcd22
--- /dev/null
+++ b/dev-lisp/sbcl/sbcl-2.4.3.ebuild
@@ -0,0 +1,276 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic pax-utils toolchain-funcs
+
+#same order as http://www.sbcl.org/platform-table.html
+BV_X86=1.4.3
+BV_AMD64=2.4.3
+BV_PPC=1.2.7
+BV_PPC64LE=1.5.8
+BV_SPARC=1.0.28
+BV_ALPHA=1.0.28
+BV_ARM=2.3.3
+BV_ARM64=1.4.2
+BV_X64_MACOS=1.2.11
+BV_PPC_MACOS=1.0.47
+BV_X86_SOLARIS=1.2.7
+BV_X64_SOLARIS=1.2.7
+BV_SPARC_SOLARIS=1.0.23
+
+DESCRIPTION="Steel Bank Common Lisp (SBCL) is an implementation of ANSI Common Lisp"
+HOMEPAGE="https://www.sbcl.org/ https://sbcl.sourceforge.net/"
+BSD_SOCKETS_TEST_PATCH=bsd-sockets-test-2.3.6.patch
+SRC_URI="https://downloads.sourceforge.net/sbcl/${P}-source.tar.bz2
+ https://dev.gentoo.org/~grozin/${BSD_SOCKETS_TEST_PATCH}.gz
+ !system-bootstrap? (
+ x86? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_X86}-x86-linux-binary.tar.bz2 )
+ amd64? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_AMD64}-x86-64-linux-binary.tar.bz2 )
+ ppc? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_PPC}-powerpc-linux-binary.tar.bz2 )
+ ppc64? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_PPC64LE}-ppc64le-linux-binary.tar.bz2 )
+ sparc? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_SPARC}-sparc-linux-binary.tar.bz2 )
+ alpha? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_ALPHA}-alpha-linux-binary.tar.bz2 )
+ arm? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_ARM}-armhf-linux-binary.tar.bz2 )
+ arm64? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_ARM64}-arm64-linux-binary.tar.bz2 )
+ x64-macos? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_X64_MACOS}-x86-64-darwin-binary.tar.bz2 )
+ ppc-macos? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_PPC_MACOS}-powerpc-darwin-binary.tar.bz2 )
+ x64-solaris? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_X64_SOLARIS}-x86-64-solaris-binary.tar.bz2 )
+ )"
+
+LICENSE="MIT"
+SLOT="0/${PV}"
+KEYWORDS="-* amd64 ~ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
+IUSE="system-bootstrap debug doc source +threads +unicode +zstd"
+
+CDEPEND=">=dev-lisp/asdf-3.3:= \
+ prefix? ( dev-util/patchelf )"
+# bug #843851
+BDEPEND="${CDEPEND}
+ dev-debug/strace
+ doc? ( sys-apps/texinfo >=media-gfx/graphviz-2.26.0 )
+ system-bootstrap? ( || ( dev-lisp/clisp dev-lisp/sbcl ) )"
+RDEPEND="${CDEPEND}
+ zstd? ( app-arch/zstd )
+ !prefix? ( elibc_glibc? ( >=sys-libs/glibc-2.6 ) )"
+
+# Disable warnings about executable stacks, as this won't be fixed soon by upstream
+QA_EXECSTACK="usr/bin/sbcl"
+
+CONFIG="${S}/customize-target-features.lisp"
+ENVD="${T}/50sbcl"
+
+# Prevent ASDF from using the system libraries
+CL_SOURCE_REGISTRY="(:source-registry :ignore-inherited-configuration)"
+ASDF_OUTPUT_TRANSLATIONS="(:output-translations :ignore-inherited-configuration)"
+
+usep() {
+ use ${1} && echo "true" || echo "false"
+}
+
+sbcl_feature() {
+ echo "$( [[ ${1} == "true" ]] && echo "(enable ${2})" || echo "(disable ${2})")" >> "${CONFIG}"
+}
+
+sbcl_apply_features() {
+ sed 's/^X//' > "${CONFIG}" <<-'EOF'
+ (lambda (list)
+ X (flet ((enable (x) (pushnew x list))
+ X (disable (x) (setf list (remove x list))))
+ EOF
+ if use x86 || use amd64; then
+ sbcl_feature "$(usep threads)" ":sb-thread"
+ fi
+ sbcl_feature "true" ":sb-ldb"
+ sbcl_feature "false" ":sb-test"
+ sbcl_feature "$(usep unicode)" ":sb-unicode"
+ sbcl_feature "$(usep zstd)" ":sb-core-compression"
+ sbcl_feature "$(usep debug)" ":sb-xref-for-internals"
+ sed 's/^X//' >> "${CONFIG}" <<-'EOF'
+ X )
+ X list)
+ EOF
+ cat "${CONFIG}"
+}
+
+src_unpack() {
+ unpack ${A}
+ if ! use system-bootstrap ; then
+ mv sbcl-*-* sbcl-binary || die
+ fi
+ cd "${S}"
+}
+
+src_prepare() {
+ # bug #468482
+ eapply "${FILESDIR}"/concurrency-test-2.0.1.patch
+ # bugs #486552, #527666, #517004
+ eapply "${WORKDIR}"/${BSD_SOCKETS_TEST_PATCH}
+ # bugs #560276, #561018
+ eapply "${FILESDIR}"/sb-posix-test-2.2.9.patch
+ # bug #767742
+ eapply "${FILESDIR}"/etags-2.1.0.patch
+ # Use ${PV} as build-id, bug #797574
+ eapply "${FILESDIR}"/build-id-2.4.3.patch
+
+ eapply "${FILESDIR}"/verbose-build-2.0.3.patch
+
+ eapply_user
+
+ # Make sure the *FLAGS variables are sane.
+ # sbcl needs symbols in resulting binaries, so building with the -s linker flag will fail.
+ strip-unsupported-flags
+ filter-flags -fomit-frame-pointer -Wl,-s
+ filter-ldflags -s
+
+ # -Werror=lto-type-mismatch
+ # https://bugs.gentoo.org/917557
+ # https://bugs.launchpad.net/gentoo/+bug/2072800
+ filter-lto
+
+ # original bugs #526194, #620532
+ # this broke no-pie default builds, c.f. bug #632670
+ # Pass CFLAGS down by appending our value, to let users override
+ # the default values.
+ # Keep passing LDFLAGS down via the LINKFLAGS variable.
+ sed -e "s@\(CFLAGS += -g .*\)\$@\1 ${CFLAGS}@" \
+ -e "s@LINKFLAGS += -g\$@LINKFLAGS += ${LDFLAGS}@" \
+ -i src/runtime/GNUmakefile || die
+
+ sed -e "s@SBCL_PREFIX=\"/usr/local\"@SBCL_PREFIX=\"${EPREFIX}/usr\"@" \
+ -i make-config.sh || die
+
+ # Use installed ASDF version
+ cp "${EPREFIX}"/usr/share/common-lisp/source/asdf/build/asdf.lisp contrib/asdf/ || die
+ # Avoid installation of ASDF info page. See bug #605752
+ sed '/INFOFILES/s/asdf.info//' -i doc/manual/Makefile || die
+
+ use source && sed 's%"$(BUILD_ROOT)%$(MODULE).lisp "$(BUILD_ROOT)%' -i contrib/vanilla-module.mk
+
+ # Some shells(such as dash) don't have "time" as builtin
+ # and we don't want to DEPEND on sys-process/time
+ sed "s,^time ,," -i make.sh || die
+ sed "s,/lib,/$(get_libdir),g" -i install.sh || die
+ # #define SBCL_HOME ...
+ sed "s,/usr/local/lib,${EPREFIX}/usr/$(get_libdir),g" -i src/runtime/runtime.c || die
+ # change location of /etc/sbclrc ...
+ sed "s,/etc/sbclrc,${EPREFIX}/etc/sbclrc,g" -i src/code/toplevel.lisp || die
+
+ find . -type f -name .cvsignore -delete
+}
+
+src_configure() {
+ # customizing SBCL version as per
+ # http://sbcl.cvs.sourceforge.net/sbcl/sbcl/doc/PACKAGING-SBCL.txt?view=markup
+ echo -e ";;; Auto-generated by Gentoo\n\"gentoo-${PR}\"" > branch-version.lisp-expr
+
+ # set interpreter for Prefix
+ if use prefix ; then
+ patchelf --set-interpreter \
+ "${EPREFIX}/$(get_libdir)"/ld-linux-x86-64.so.2 \
+ "${WORKDIR}"/sbcl-binary/src/runtime/sbcl
+ fi
+
+ # applying customizations
+ sbcl_apply_features
+}
+
+src_compile() {
+ local bindir="${WORKDIR}"/sbcl-binary
+ local bootstrap_lisp="sh ${bindir}/run-sbcl.sh --no-sysinit --no-userinit --disable-debugger"
+
+ if use system-bootstrap ; then
+ if has_version "dev-lisp/sbcl" ; then
+ bootstrap_lisp="sbcl --no-sysinit --no-userinit --disable-debugger"
+ else
+ bootstrap_lisp="clisp"
+ fi
+ fi
+
+ # Bug #869434
+ append-cppflags -D_GNU_SOURCE
+
+ # clear the environment to get rid of non-ASCII strings, see bug #174702
+ # set HOME for paludis
+ env - HOME="${T}" PATH="${PATH}" \
+ CC="$(tc-getCC)" AS="$(tc-getAS)" LD="$(tc-getLD)" \
+ CPPFLAGS="${CPPFLAGS}" CFLAGS="${CFLAGS}" ASFLAGS="${ASFLAGS}" LDFLAGS="${LDFLAGS}" \
+ SBCL_HOME="/usr/$(get_libdir)/sbcl" SBCL_SOURCE_ROOT="/usr/$(get_libdir)/sbcl/src" \
+ GNUMAKE=make PV=${PV} ./make.sh \
+ "${bootstrap_lisp}" \
+ || die "make failed"
+
+ # need to set HOME because libpango(used by graphviz) complains about it
+ if use doc; then
+ env - HOME="${T}" PATH="${PATH}" \
+ CL_SOURCE_REGISTRY="(:source-registry :ignore-inherited-configuration)" \
+ ASDF_OUTPUT_TRANSLATIONS="(:output-translations :ignore-inherited-configuration)" \
+ make -C doc/manual info html || die "Cannot build manual"
+ env - HOME="${T}" PATH="${PATH}" \
+ CL_SOURCE_REGISTRY="(:source-registry :ignore-inherited-configuration)" \
+ ASDF_OUTPUT_TRANSLATIONS="(:output-translations :ignore-inherited-configuration)" \
+ make -C doc/internals info html || die "Cannot build internal docs"
+ fi
+}
+
+src_test() {
+ ewarn "Unfortunately, it is known that some tests fail eg."
+ ewarn "run-program.impure.lisp. This is an issue of the upstream's"
+ ewarn "development and not of Gentoo's side. Please, before filing"
+ ewarn "any bug(s) search for older submissions. Thank you."
+ time ( cd tests && sh run-tests.sh )
+}
+
+src_install() {
+ # install system-wide initfile
+ dodir /etc/
+ sed 's/^X//' > "${ED}"/etc/sbclrc <<-EOF
+ ;;; The following is required if you want source location functions to
+ ;;; work in SLIME, for example.
+ X
+ (setf (logical-pathname-translations "SYS")
+ X '(("SYS:SRC;**;*.*.*" #p"${EPREFIX}/usr/$(get_libdir)/sbcl/src/**/*.*")
+ X ("SYS:CONTRIB;**;*.*.*" #p"${EPREFIX}/usr/$(get_libdir)/sbcl/**/*.*")))
+ X
+ ;;; Setup ASDF2
+ (load "${EPREFIX}/etc/common-lisp/gentoo-init.lisp")
+ EOF
+
+ # Install documentation
+ unset SBCL_HOME
+ INSTALL_ROOT="${ED}/usr" LIB_DIR="${EPREFIX}/usr/$(get_libdir)" DOC_DIR="${ED}/usr/share/doc/${PF}" \
+ sh install.sh || die "install.sh failed"
+
+ # bug #517008
+ pax-mark -mr "${D}"/usr/bin/sbcl
+
+ # rm empty directories lest paludis complain about this
+ find "${ED}" -empty -type d -exec rmdir -v {} +
+
+ if use doc; then
+ dodoc -r doc/internals/sbcl-internals
+
+ doinfo doc/manual/*.info*
+ doinfo doc/internals/sbcl-internals.info
+
+ docinto internals-notes
+ dodoc doc/internals-notes/*
+ else
+ rm -Rv "${ED}/usr/share/doc/${PF}" || die
+ fi
+
+ # install the SBCL source
+ if use source; then
+ ./clean.sh
+ cp -av src "${ED}/usr/$(get_libdir)/sbcl/" || die
+ for d in contrib/*/; do
+ cp -av "$d" "${ED}/usr/$(get_libdir)/sbcl/" || die
+ done
+ fi
+
+ # necessary for running newly-saved images
+ echo "SBCL_HOME=${EPREFIX}/usr/$(get_libdir)/${PN}" > "${ENVD}"
+ echo "SBCL_SOURCE_ROOT=${EPREFIX}/usr/$(get_libdir)/${PN}/src" >> "${ENVD}"
+ doenvd "${ENVD}"
+}
diff --git a/dev-lisp/sbcl/sbcl-2.4.0.ebuild b/dev-lisp/sbcl/sbcl-2.4.5.ebuild
index 83e244df65f4..98bbe0868132 100644
--- a/dev-lisp/sbcl/sbcl-2.4.0.ebuild
+++ b/dev-lisp/sbcl/sbcl-2.4.5.ebuild
@@ -7,7 +7,7 @@ inherit flag-o-matic pax-utils toolchain-funcs
#same order as http://www.sbcl.org/platform-table.html
BV_X86=1.4.3
-BV_AMD64=2.4.0
+BV_AMD64=2.4.5
BV_PPC=1.2.7
BV_PPC64LE=1.5.8
BV_SPARC=1.0.28
@@ -21,22 +21,22 @@ BV_X64_SOLARIS=1.2.7
BV_SPARC_SOLARIS=1.0.23
DESCRIPTION="Steel Bank Common Lisp (SBCL) is an implementation of ANSI Common Lisp"
-HOMEPAGE="https://www.sbcl.org/ http://sbcl.sourceforge.net/"
+HOMEPAGE="https://www.sbcl.org/ https://sbcl.sourceforge.net/"
BSD_SOCKETS_TEST_PATCH=bsd-sockets-test-2.3.6.patch
-SRC_URI="mirror://sourceforge/sbcl/${P}-source.tar.bz2
+SRC_URI="https://downloads.sourceforge.net/sbcl/${P}-source.tar.bz2
https://dev.gentoo.org/~grozin/${BSD_SOCKETS_TEST_PATCH}.gz
!system-bootstrap? (
- x86? ( mirror://sourceforge/sbcl/${PN}-${BV_X86}-x86-linux-binary.tar.bz2 )
- amd64? ( mirror://sourceforge/sbcl/${PN}-${BV_AMD64}-x86-64-linux-binary.tar.bz2 )
- ppc? ( mirror://sourceforge/sbcl/${PN}-${BV_PPC}-powerpc-linux-binary.tar.bz2 )
- ppc64? ( mirror://sourceforge/sbcl/${PN}-${BV_PPC64LE}-ppc64le-linux-binary.tar.bz2 )
- sparc? ( mirror://sourceforge/sbcl/${PN}-${BV_SPARC}-sparc-linux-binary.tar.bz2 )
- alpha? ( mirror://sourceforge/sbcl/${PN}-${BV_ALPHA}-alpha-linux-binary.tar.bz2 )
- arm? ( mirror://sourceforge/sbcl/${PN}-${BV_ARM}-armhf-linux-binary.tar.bz2 )
- arm64? ( mirror://sourceforge/sbcl/${PN}-${BV_ARM64}-arm64-linux-binary.tar.bz2 )
- x64-macos? ( mirror://sourceforge/sbcl/${PN}-${BV_X64_MACOS}-x86-64-darwin-binary.tar.bz2 )
- ppc-macos? ( mirror://sourceforge/sbcl/${PN}-${BV_PPC_MACOS}-powerpc-darwin-binary.tar.bz2 )
- x64-solaris? ( mirror://sourceforge/sbcl/${PN}-${BV_X64_SOLARIS}-x86-64-solaris-binary.tar.bz2 )
+ x86? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_X86}-x86-linux-binary.tar.bz2 )
+ amd64? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_AMD64}-x86-64-linux-binary.tar.bz2 )
+ ppc? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_PPC}-powerpc-linux-binary.tar.bz2 )
+ ppc64? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_PPC64LE}-ppc64le-linux-binary.tar.bz2 )
+ sparc? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_SPARC}-sparc-linux-binary.tar.bz2 )
+ alpha? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_ALPHA}-alpha-linux-binary.tar.bz2 )
+ arm? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_ARM}-armhf-linux-binary.tar.bz2 )
+ arm64? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_ARM64}-arm64-linux-binary.tar.bz2 )
+ x64-macos? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_X64_MACOS}-x86-64-darwin-binary.tar.bz2 )
+ ppc-macos? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_PPC_MACOS}-powerpc-darwin-binary.tar.bz2 )
+ x64-solaris? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_X64_SOLARIS}-x86-64-solaris-binary.tar.bz2 )
)"
LICENSE="MIT"
@@ -112,7 +112,7 @@ src_prepare() {
# bug #767742
eapply "${FILESDIR}"/etags-2.1.0.patch
# Use ${PV} as build-id, bug #797574
- eapply "${FILESDIR}"/build-id-2.3.6.patch
+ eapply "${FILESDIR}"/build-id-2.4.3.patch
eapply "${FILESDIR}"/verbose-build-2.0.3.patch
@@ -124,6 +124,11 @@ src_prepare() {
filter-flags -fomit-frame-pointer -Wl,-s
filter-ldflags -s
+ # -Werror=lto-type-mismatch
+ # https://bugs.gentoo.org/917557
+ # https://bugs.launchpad.net/gentoo/+bug/2072800
+ filter-lto
+
# original bugs #526194, #620532
# this broke no-pie default builds, c.f. bug #632670
# Pass CFLAGS down by appending our value, to let users override
diff --git a/dev-lisp/sbcl/sbcl-2.4.1.ebuild b/dev-lisp/sbcl/sbcl-2.4.6.ebuild
index 3a8edd7795c3..71383a25b480 100644
--- a/dev-lisp/sbcl/sbcl-2.4.1.ebuild
+++ b/dev-lisp/sbcl/sbcl-2.4.6.ebuild
@@ -7,7 +7,7 @@ inherit flag-o-matic pax-utils toolchain-funcs
#same order as http://www.sbcl.org/platform-table.html
BV_X86=1.4.3
-BV_AMD64=2.4.1
+BV_AMD64=2.4.6
BV_PPC=1.2.7
BV_PPC64LE=1.5.8
BV_SPARC=1.0.28
@@ -21,22 +21,22 @@ BV_X64_SOLARIS=1.2.7
BV_SPARC_SOLARIS=1.0.23
DESCRIPTION="Steel Bank Common Lisp (SBCL) is an implementation of ANSI Common Lisp"
-HOMEPAGE="https://www.sbcl.org/ http://sbcl.sourceforge.net/"
+HOMEPAGE="https://www.sbcl.org/ https://sbcl.sourceforge.net/"
BSD_SOCKETS_TEST_PATCH=bsd-sockets-test-2.3.6.patch
-SRC_URI="mirror://sourceforge/sbcl/${P}-source.tar.bz2
+SRC_URI="https://downloads.sourceforge.net/sbcl/${P}-source.tar.bz2
https://dev.gentoo.org/~grozin/${BSD_SOCKETS_TEST_PATCH}.gz
!system-bootstrap? (
- x86? ( mirror://sourceforge/sbcl/${PN}-${BV_X86}-x86-linux-binary.tar.bz2 )
- amd64? ( mirror://sourceforge/sbcl/${PN}-${BV_AMD64}-x86-64-linux-binary.tar.bz2 )
- ppc? ( mirror://sourceforge/sbcl/${PN}-${BV_PPC}-powerpc-linux-binary.tar.bz2 )
- ppc64? ( mirror://sourceforge/sbcl/${PN}-${BV_PPC64LE}-ppc64le-linux-binary.tar.bz2 )
- sparc? ( mirror://sourceforge/sbcl/${PN}-${BV_SPARC}-sparc-linux-binary.tar.bz2 )
- alpha? ( mirror://sourceforge/sbcl/${PN}-${BV_ALPHA}-alpha-linux-binary.tar.bz2 )
- arm? ( mirror://sourceforge/sbcl/${PN}-${BV_ARM}-armhf-linux-binary.tar.bz2 )
- arm64? ( mirror://sourceforge/sbcl/${PN}-${BV_ARM64}-arm64-linux-binary.tar.bz2 )
- x64-macos? ( mirror://sourceforge/sbcl/${PN}-${BV_X64_MACOS}-x86-64-darwin-binary.tar.bz2 )
- ppc-macos? ( mirror://sourceforge/sbcl/${PN}-${BV_PPC_MACOS}-powerpc-darwin-binary.tar.bz2 )
- x64-solaris? ( mirror://sourceforge/sbcl/${PN}-${BV_X64_SOLARIS}-x86-64-solaris-binary.tar.bz2 )
+ x86? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_X86}-x86-linux-binary.tar.bz2 )
+ amd64? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_AMD64}-x86-64-linux-binary.tar.bz2 )
+ ppc? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_PPC}-powerpc-linux-binary.tar.bz2 )
+ ppc64? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_PPC64LE}-ppc64le-linux-binary.tar.bz2 )
+ sparc? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_SPARC}-sparc-linux-binary.tar.bz2 )
+ alpha? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_ALPHA}-alpha-linux-binary.tar.bz2 )
+ arm? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_ARM}-armhf-linux-binary.tar.bz2 )
+ arm64? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_ARM64}-arm64-linux-binary.tar.bz2 )
+ x64-macos? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_X64_MACOS}-x86-64-darwin-binary.tar.bz2 )
+ ppc-macos? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_PPC_MACOS}-powerpc-darwin-binary.tar.bz2 )
+ x64-solaris? ( https://downloads.sourceforge.net/sbcl/${PN}-${BV_X64_SOLARIS}-x86-64-solaris-binary.tar.bz2 )
)"
LICENSE="MIT"
@@ -112,7 +112,7 @@ src_prepare() {
# bug #767742
eapply "${FILESDIR}"/etags-2.1.0.patch
# Use ${PV} as build-id, bug #797574
- eapply "${FILESDIR}"/build-id-2.3.6.patch
+ eapply "${FILESDIR}"/build-id-2.4.3.patch
eapply "${FILESDIR}"/verbose-build-2.0.3.patch
@@ -124,6 +124,11 @@ src_prepare() {
filter-flags -fomit-frame-pointer -Wl,-s
filter-ldflags -s
+ # -Werror=lto-type-mismatch
+ # https://bugs.gentoo.org/917557
+ # https://bugs.launchpad.net/gentoo/+bug/2072800
+ filter-lto
+
# original bugs #526194, #620532
# this broke no-pie default builds, c.f. bug #632670
# Pass CFLAGS down by appending our value, to let users override
diff --git a/dev-lisp/trivial-gray-streams/trivial-gray-streams-20170830-r1.ebuild b/dev-lisp/trivial-gray-streams/trivial-gray-streams-20170830-r1.ebuild
new file mode 100644
index 000000000000..538c3a71827a
--- /dev/null
+++ b/dev-lisp/trivial-gray-streams/trivial-gray-streams-20170830-r1.ebuild
@@ -0,0 +1,14 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit common-lisp-3
+
+DESCRIPTION="A thin compatibility layer between Gray Stream Common Lisp implementations"
+HOMEPAGE="https://trivial-gray-streams.common-lisp.dev/"
+SRC_URI="mirror://gentoo/a9/${P}.tar.bz2"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 ~ppc ~riscv ~sparc x86"
diff --git a/dev-lisp/trivial-gray-streams/trivial-gray-streams-20170830.ebuild b/dev-lisp/trivial-gray-streams/trivial-gray-streams-20170830.ebuild
deleted file mode 100644
index 63d5924ffdb0..000000000000
--- a/dev-lisp/trivial-gray-streams/trivial-gray-streams-20170830.ebuild
+++ /dev/null
@@ -1,17 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit common-lisp-3
-
-DESCRIPTION="A thin compatibility layer between Gray Stream Common Lisp implementations"
-HOMEPAGE="https://common-lisp.net/project/trivial-gray-streams/"
-SRC_URI="mirror://gentoo/${P}.tar.bz2"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 ~ppc ~sparc x86"
-IUSE=""
-
-RDEPEND="!dev-lisp/cl-${PN}"
diff --git a/dev-lisp/trivial-gray-streams/trivial-gray-streams-99999999.ebuild b/dev-lisp/trivial-gray-streams/trivial-gray-streams-99999999.ebuild
deleted file mode 100644
index 9fa802eff228..000000000000
--- a/dev-lisp/trivial-gray-streams/trivial-gray-streams-99999999.ebuild
+++ /dev/null
@@ -1,16 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit common-lisp-3 git-r3
-
-DESCRIPTION="A thin compatibility layer between Gray Stream Common Lisp implementations"
-HOMEPAGE="https://common-lisp.net/project/trivial-gray-streams/"
-EGIT_REPO_URI="https://github.com/${PN}/${PN}"
-
-LICENSE="MIT"
-SLOT="0"
-IUSE=""
-
-RDEPEND="!dev-lisp/cl-${PN}"